from jarvis import jarvis_self
from jarvis.utils import convert_bytesize
from discord import Embed, Color
from discord.ext import commands


class UtilCog(commands.Cog):
    def __init__(self, bot):
        self.bot = bot

    @commands.command(name="status", help="Retrieve J.A.R.V.I.S. status")
    async def _status(self, ctx):
        title = "J.A.R.V.I.S. Status"
        description = "All systems online"
        color = Color.from_rgb(152, 204, 218)
        embed = Embed(title=title, description=description, color=color)
        with jarvis_self.oneshot():
            embed.add_field(name="CPU Usage", value=jarvis_self.cpu_percent())
            embed.add_field(
                name="RAM Usage",
                value=convert_bytesize(jarvis_self.memory_info().rss),
            )
            embed.add_field(name="PID", value=jarvis_self.pid)
        await ctx.send(embed=embed)


def setup(bot):
    bot.add_cog(UtilCog(bot))
